org.firebirdsql.jdbc.metadata

## Class GetCatalogs

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetCatalogs

    public final class GetCatalogs
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getCatalogs()`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetCatalogs` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getCatalogs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCatalogs

    public java.sql.ResultSet getCatalogs()
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetCatalogs create(DbMetadataMediator mediator)